Respondents
Not yet fully verified
This content is not available in your language yet.
Respondents are people that fill out questionnaires. The default respondent is the patient, but there’s also profess, parent, second_parent, teacher and caregiver.
- In the future second_parent will be merged into parent.
- You won’t see a profess respondent, since you can’t send out to professionals, since there isn’t usually just one.
Get a single respondent
Section titled “Get a single respondent”GET /api/v1/dossier/:epd_id/respondents/:idResponse
Section titled “Response”Sample request
GET /api/v1/dossiers/epd_id_2/respondents/2 HTTP/1.1Host: api.example.comAuthorization: Bearer YOUR_API_TOKENcurl "https://api.example.com/api/v1/dossiers/epd_id_2/respondents/2" \ -u "username:password"$username = "username"$password = "password"$base64AuthInfo = [Convert]::ToBase64String([Text.Encoding]::ASCII.GetBytes(("{0}:{1}" -f $username, $password)))
$headers = @{ "Authorization" = "Basic $base64AuthInfo"}
Invoke-RestMethod -Uri "https://api.example.com/api/v1/dossiers/epd_id_2/respondents/2" ` -Method GET ` -Headers $headers{ "id": 2, "label": "Patiënt", "respondent_type": "patient"}Response Attributes
Section titled “Response Attributes”| Name | Type | Description |
|---|---|---|
id |
integer |
Id uniquely identifying the respondent. |
label |
string |
Non-identifying name for the respondent (e.g. history teacher) |
respondent_type |
string |
patient, parent, second_parent, teacher or caregiver. |
Get all respondents for a dossier
Section titled “Get all respondents for a dossier”GET /api/v1/dossier/:epd_id/respondentsReturns an array of hashes of the same format as show.